Subject: bug#18545: 24.4.50: Bug - forward-line inside with-selected-window

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Sep 2014 09:16:22 +0300

> Date: Mon, 29 Sep 2014 02:31:04 +0200 (CEST)
> From: [email-masked]
> Cc: [email-masked]
> 
> C-x C-f -> in a folder with lots of files
> [tab]x2 -> open completion buffer
> C-! -> modify completion buffer
> C-h k a -> Show help for letter "a" (Important ! skipping this results in no bug ) 
> C-` until bottom of *Completions* buffer -> no scrolling,
> 
> 
> I have applied the 3 patches that you supplied on emacs bzr revno 117517. I have tested this on 24.3.93 as well.

Thanks.  This is indeed very similar to what Martin presented,
i.e. forward-line moves point outside of the window, and then
redisplay returns point back into the view.  But since the change that
fixed Martin's case doesn't fix this one, I guess some other place in
the code is setting the force_start flag of the window.

I will look into this.